Subject: Traffic Engineering TLV

From: "Ashwin C. Prabhu" <[email-masked]>
Date: Tue, 14 Aug 2001 11:32:22 +0500

Hello 

         The draft-katz-yeung-ospf-traffic-04.txt section 2.5.8 specifies 

          2.5.8. Unreserved Bandwidth

   	The Unreserved Bandwidth sub-TLV specifies the amount of bandwidth
   	not yet reserved at each of the eight priority levels, in IEEE
   	floating point format.  Each value will be less than or equal to the
  	 maximum reservable bandwidth.  The units are bytes per second.

   	The Unreserved Bandwidth sub-TLV is TLV type 8, and is 32 octets in
   	length.

            Can anyone please tell me what are these 8 priority levels and
what for these 
            used ? why we need this.
          
Thanks in Advance
Ashwin

---

From: "Ashwin C. Prabhu" <[email-masked]>
Date: Thu, 16 Aug 2001 09:48:05 +0500

Dear Naidu

       The priority/premption is a task of MPLS Management module. I would
like 
       to know why the 8 priority levels are provided in the OSPF Extension?
What 
       i was thinking is this 8 priority levels is used by the CSPF for the
computation 
       of the routes. If so, why is it Unreservable Bandwidth for the 8
priority levels ? 
       does it mean that on a link we configure the Bandwidth for different
priority levels ?
       (Like Priority 0 -> 30 % bandwidth etc )
       Or this is ment for some other purpose ?
       As i found the draft draft-katz-yeung-ospf-traffic-04 not mentioning
it clearly.

Regds
Ashwin

-----Original Message-----
From: Naidu, Venkata [mailto:[email-masked]]
Sent: Tuesday, August 14, 2001 7:37 PM
To: 'Ashwin C. Prabhu'; [email-masked]; [email-masked]
Subject: FW: Traffic Engineering TLV

Prabhu:

->             Can anyone please tell me what are these 8 
-> priority levels and what for these 
->             used ? 

  There are no set of semantics for each priority level. 
  The different levels provide an ordering that can be 
  used to determine preemption during the establishment 
  of LSPs. They can also be used by an implementation 
  as a means of ordering LSP computation and setup.

  How to use these priority levels? Look at:
  CR-LDP draft-ietf-mpls-cr-ldp-05.txt and
  RSVP-TE draft-ietf-mpls-rsvp-lsp-tunnel-08.txt

-> why we need this. 

  The need for priority levels is specified in
  RFC 2702. There is a consensus of eight protocols 
  being sufficient.  

  In Dan's terms...

  "The priority attribute defines the relative importance of traffic
   trunks.  If a constraint-based routing framework is used with MPLS,
   then priorities become very important because they can be used to
   determine the order in which path selection is done for traffic
   trunks at connection establishment and under fault scenarios.

   Priorities are also important in implementations  permitting
   preemption because they can be used to impose a partial order on the
   set of traffic trunks according to which preemptive policies can be
   actualized."

--Venkata Naidu

---

From: "Naidu, Venkata" <[email-masked]>
Date: Thu, 16 Aug 2001 10:12:06 -0400

Ashwin:

   Please look at my inline comments...

-> The priority/preemption is a task of MPLS Management 
-> module. I would like to know why the 8 priority levels 
-> are provided in the OSPF Extension? 

   OSPF (for that matter any IGP) job is to flood the TE
   information throughout the area (at present) for TE
   purpose. The 8 priority levels for unreserved bw is 
   nothing to do with OSPF calculations. Just flood the info!

-> What i was thinking is this 8 priority levels is used by 
-> the CSPF for the computation of the routes. If so, why 
-> is it Unreservable Bandwidth for the 8 priority levels ? 

   Yes! After flooding the TE information, ingress LERs do 
   CSPF to prune links (which are not met the requested 
   bw, priority, preemption etc) to find the best path to egress.

-> does it mean that on a link we configure the Bandwidth 
-> for different priority levels ? 
->        (Like Priority 0 -> 30 % bandwidth etc ) 
->        Or this is ment for some other purpose ? 

   It is not that simple, please look at Kompella's paper
   draft-kompella-tewg-bw-acct-00.txt (and nested references)

->        As i found the draft draft-katz-yeung-ospf-traffic-04 
-> not mentioning it clearly. 

   As I said, draft-katz-yeung-ospf-traffic-04 is nothing to do
   with configuration of priority levels. 

--Venkata Naidu

-> -----Original Message----- 
-> From: Naidu, Venkata [mailto:[email-masked]] 
-> Sent: Tuesday, August 14, 2001 7:37 PM 
-> To: 'Ashwin C. Prabhu'; [email-masked]; [email-masked] 
-> Subject: FW: Traffic Engineering TLV 
-> 
-> 
-> Prabhu: 
-> ->             Can anyone please tell me what are these 8 
-> -> priority levels and what for these 
-> ->             used ? 
->   There are no set of semantics for each priority level. 
->   The different levels provide an ordering that can be 
->   used to determine preemption during the establishment 
->   of LSPs. They can also be used by an implementation 
->   as a means of ordering LSP computation and setup. 
->   How to use these priority levels? Look at: 
->   CR-LDP draft-ietf-mpls-cr-ldp-05.txt and 
->   RSVP-TE draft-ietf-mpls-rsvp-lsp-tunnel-08.txt 
-> -> why we need this. 
->   The need for priority levels is specified in 
->   RFC 2702. There is a consensus of eight protocols 
->   being sufficient.  
->   In Dan's terms... 
->   "The priority attribute defines the relative importance of traffic 
->    trunks.  If a constraint-based routing framework is used 
-> with MPLS, 
->    then priorities become very important because they can be used to 
->    determine the order in which path selection is done for traffic 
->    trunks at connection establishment and under fault scenarios. 
->    Priorities are also important in implementations  permitting 
->    preemption because they can be used to impose a partial 
-> order on the 
->    set of traffic trunks according to which preemptive 
-> policies can be 
->    actualized." 
-> --Venkata Naidu 
->

---

From: "Ashwin C. Prabhu" <[email-masked]>
Date: Fri, 17 Aug 2001 19:27:08 +0500

Dear Naidu

 I couldn't find the draft-kompella-tewg-bw-acct-00.txt draft can you please
 tell me where can i get this draft ?

Thanks & regds
Ashwin

-----Original Message-----
From: Naidu, Venkata [mailto:[email-masked]]
Sent: Thursday, August 16, 2001 7:12 PM
To: 'Ashwin C. Prabhu'; Naidu, Venkata; [email-masked]; [email-masked]
Subject: FW: Traffic Engineering TLV

Ashwin:

--Venkata Naidu

---

From: "Naidu, Venkata" <[email-masked]>
Date: Thu, 16 Aug 2001 10:12:06 -0400

Ashwin:

--Venkata Naidu

-------
The MPLS-OPS Mailing List
Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
Archive: http://www.mplsrc.com/mpls-ops_archive.shtml